clear
close all
clc



load calibrationresults.mat


bbeffectivedemandmatchirf;

% Plot estimated impulse responses versus data

t               = 1:irflength; % irflength is set by computeirfs.m, called by bbeffectivedemandmatchirf.m

vxo_vxodata     = 100*IRpoint(1:irflength,1,1);
y_vxodata       = 100*IRpoint(1:irflength,2,1);
c_vxodata       = 100*IRpoint(1:irflength,3,1);
inv_vxodata     = 100*IRpoint(1:irflength,4,1);
n_vxodata       = 100*IRpoint(1:irflength,5,1);
pl_vxodata      = 100*IRpoint(1:irflength,6,1);
r_vxodata       = IRpoint(1:irflength,8,1);

vxocilo_vxodata     = 100*IRlo_1(1:irflength,1,1);
ycilo_vxodata       = 100*IRlo_1(1:irflength,2,1);
ccilo_vxodata       = 100*IRlo_1(1:irflength,3,1);
invcilo_vxodata     = 100*IRlo_1(1:irflength,4,1);
ncilo_vxodata       = 100*IRlo_1(1:irflength,5,1);
plcilo_vxodata      = 100*IRlo_1(1:irflength,6,1);
rcilo_vxodata       = IRlo_1(1:irflength,8,1);

vxociup_vxodata     = 100*IRup_1(1:irflength,1,1);
yciup_vxodata       = 100*IRup_1(1:irflength,2,1);
cciup_vxodata       = 100*IRup_1(1:irflength,3,1);
invciup_vxodata     = 100*IRup_1(1:irflength,4,1);
nciup_vxodata       = 100*IRup_1(1:irflength,5,1);
plciup_vxodata      = 100*IRup_1(1:irflength,6,1);
rciup_vxodata       = IRup_1(1:irflength,8,1);


figure(2)
subplot(2,3,1)
hold on
jbfill(t,yciup_vxodata',ycilo_vxodata',[.8, .8, .8],[1 1 1],0,0.6);
plot(t,y_vxodata,'-b','LineWidth',3);
plot(t,100*y_evola,'--r','LineWidth',3);
plot(t,zeros(irflength,1), '-k', 'LineWidth', 0.5); 
title('Output','FontSize',16)
xlim([t(1) t(end)]);set(gca,'XTick',t(4:4:end),'FontSize',12);
ylim([-0.6 0.6]);set(gca,'YTick',[-0.6:0.2:0.6],'FontSize',12);ylabel('Percent','FontSize',12);
box on; grid on; 
set(gca, 'Layer', 'top','GridLineStyle',':','GridColor',[.4, .4, .4],'GridAlpha',1)


subplot(2,3,2)
hold on
jbfill(t,cciup_vxodata',ccilo_vxodata',[.8, .8, .8],[1 1 1],0,0.6);
plot(t,c_vxodata,'-b','LineWidth',3);
plot(t,100*c_evola,'--r','LineWidth',3);
plot(t,zeros(irflength,1), '-k', 'LineWidth', 0.5); 
title('Consumption','FontSize',16)
xlim([t(1) t(end)]);set(gca,'XTick',t(4:4:end),'FontSize',12);
ylim([-0.4 0.4]);set(gca,'YTick',[-0.4:0.2:0.4],'FontSize',12);ylabel('Percent','FontSize',12);
box on; grid on; 
set(gca, 'Layer', 'top','GridLineStyle',':','GridColor',[.4, .4, .4],'GridAlpha',1)

subplot(2,3,3)
hold on
jbfill(t,invciup_vxodata',invcilo_vxodata',[.8, .8, .8],[1 1 1],0,0.6);
plot(t,inv_vxodata,'-b','LineWidth',3);
plot(t,100*inv_evola,'--r','LineWidth',3);
plot(t,zeros(irflength,1), '-k', 'LineWidth', 0.5); 
title('Investment','FontSize',16)
xlim([t(1) t(end)]);set(gca,'XTick',t(4:4:end),'FontSize',12);
ylim([-2 2]);set(gca,'YTick',[-2:1:2],'FontSize',12);ylabel('Percent','FontSize',12);
box on; grid on; 
set(gca, 'Layer', 'top','GridLineStyle',':','GridColor',[.4, .4, .4],'GridAlpha',1)

subplot(2,3,4)
hold on
jbfill(t,nciup_vxodata',ncilo_vxodata',[.8, .8, .8],[1 1 1],0,0.6);
plot(t,n_vxodata,'-b','LineWidth',3);
plot(t,100*n_evola,'--r','LineWidth',3);
plot(t,zeros(irflength,1), '-k', 'LineWidth', 0.5); 
title('Hours Worked','FontSize',16)
xlim([t(1) t(end)]);set(gca,'XTick',t(4:4:end),'FontSize',12);
ylim([-0.6 0.6]);set(gca,'YTick',[-0.6:0.2:0.6],'FontSize',12);ylabel('Percent','FontSize',12)
box on; grid on; 
set(gca, 'Layer', 'top','GridLineStyle',':','GridColor',[.4, .4, .4],'GridAlpha',1)

subplot(2,3,5)
hold on
h1=jbfill(t,vxociup_vxodata',vxocilo_vxodata',[.8, .8, .8],[1 1 1],0,0.6);
h2=plot(t,vxo_vxodata,'-b','LineWidth',3);
h3=plot(t,100*logvxo_evola,'--r','LineWidth',3);
%plot(t,zeros(irflength,1), '-k', 'LineWidth', 0.5); 
%title('Implied Stock Market Volatility','FontSize',16);xlim([t(1) t(end)]);set(gca,'XTick',t(12:12:end),'FontSize',12);
%ylabel('Annual Percentage Points','FontSize',12);
%hleglines = [h2(1) h1(1) h3(1)];
%legend = legend(hleglines,'Data - Estimated Response','Data - 95% Confidnece Interval','Model - Published');
%set(legend,'Location','SouthEast');
%box on; grid on; 
%set(gca, 'Layer', 'top','GridLineStyle',':','GridColor',[.4, .4, .4],'GridAlpha',1) 

